;;; -*- emacs-lisp -*-
;;; skk-setup.el --- Initial setup for SKK
;; Copyright (C) 2000 Mikio Nakajima <minakaji@osaka.email.ne.jp>

;; Author: Mikio Nakajima <minakaji@osaka.email.ne.jp>
;; Maintainer: Mikio Nakajima <minakaji@osaka.email.ne.jp>
;; Version: $Id: skk-setup.el.in,v 1.1.2.6 2000/08/15 11:02:46 czkmt Exp $
;; Keywords: japanese
;; Last Modified: $Date: 2000/08/15 11:02:46 $

;; This file is part of Daredevil SKK.

;; Daredevil SKK is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either versions 2, or (at your option)
;; any later version.

;; Daredevil SKK is distributed in the hope that it will be useful
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with Daredevil SKK, see the file COPYING.  If not, write to the Free
;; Software Foundation Inc., 59 Temple Place - Suite 330, Boston,
;; MA 02111-1307, USA.

;;; Commentary:

;;; Code:
(require 'skk-autoloads)
(global-set-key "\C-x\C-j" 'skk-mode)
(global-set-key "\C-xj" 'skk-auto-fill-mode)
(global-set-key "\C-xt" 'skk-tutorial)

;; (add-hook 'isearch-mode-hook
;; 	  (lambda () (and (boundp 'skk-mode) skk-mode
;; 			  (skk-isearch-mode-setup))))
;;
;; (add-hook 'isearch-mode-end-hook
;; 	  (lambda ()
;; 	    (and (boundp 'skk-mode) skk-mode (skk-isearch-mode-cleanup))
;; 	    (if (and (featurep 'skk-cursor)
;; 		     (boundp 'skk-mode-invoked) skk-mode-invoked
;; 		     (skk-color-display-p))
;; 		(skk-set-cursor-properly))))

;;(defvar skk-large-jisyo "@DIC@")
;;(defvar skk-aux-large-jisyo "@DIC@")
;;(defvar skk-tut-file "@TUT@")

(add-hook 'isearch-mode-hook
	  (lambda () (and (boundp 'skk-mode) skk-mode
			  (skk-isearch-mode-setup))))

(add-hook 'isearch-mode-end-hook
	  (lambda ()
	    (and (boundp 'skk-mode) skk-mode (skk-isearch-mode-cleanup))))

(add-hook 'isearch-mode-end-hook
	  (lambda ()
	    (if (and (featurep 'skk-cursor)
		     (boundp 'skk-mode-invoked) skk-mode-invoked
		     (skk-color-display-p))
		(skk-set-cursor-properly)))
	  'append)

(provide 'skk-setup)
;;; Local Variables:
;;; End:
;;; skk-setup.el ends here
